Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class CalendarPreferences.CalendarView

    java.lang.Object
      portlets.compoze.groupware.pref.CalendarPreferences.CalendarView

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CalendarPreferences

public static class CalendarPreferences.CalendarView
extends java.lang.Object
implements java.io.Serializable

This class represents the calendar view.

See Also:
  Serialized Form

Field Summary
`static CalendarPreferences.CalendarView` | `DAY` This value represents the 'day' calendar view.
`static CalendarPreferences.CalendarView` | `MONTH` This value represents the 'month' calendar view.
`static int` | `VALUE_DAY` This value represents the 'day' calendar view.
`static int` | `VALUE_MONTH` This value represents the 'month' calendar view.
`static int` | `VALUE_WEEK` This value represents the 'week' calendar view.
`static int` | `VALUE_YEAR` This value represents the 'year' calendar view.
`static CalendarPreferences.CalendarView` | `WEEK` This value represents the 'week' calendar view.
`static CalendarPreferences.CalendarView` | `YEAR` This value represents the 'year' calendar view.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static CalendarPreferences.CalendarView` | `get(int iValue)` Gets the calendar view by the value.
`static java.util.List` | `getCalendarHomeViews()` Gets the calendar home view objects.
`static java.util.List` | `getCalendarViews()` Gets the list of calendar view objects.
`java.lang.String` | `getKey()` Gets the key (i18n resources name) for calendar view.
`int` | `getValue()` Gets the value of the calendar view.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DAY

    public static final int VALUE_DAY

  This value represents the 'day' calendar view.

  See Also:
    Constant Field Values

### VALUE_WEEK

    public static final int VALUE_WEEK

  This value represents the 'week' calendar view.

  See Also:
    Constant Field Values

### VALUE_MONTH

    public static final int VALUE_MONTH

  This value represents the 'month' calendar view.

  See Also:
    Constant Field Values

### VALUE_YEAR

    public static final int VALUE_YEAR

  This value represents the 'year' calendar view.

  See Also:
    Constant Field Values

### DAY

    public static final CalendarPreferences.CalendarView DAY

  This value represents the 'day' calendar view.

### WEEK

    public static final CalendarPreferences.CalendarView WEEK

  This value represents the 'week' calendar view.

### MONTH

    public static final CalendarPreferences.CalendarView MONTH

  This value represents the 'month' calendar view.

### YEAR

    public static final CalendarPreferences.CalendarView YEAR

  This value represents the 'year' calendar view.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (i18n resources name) for calendar view.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the calendar view.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static CalendarPreferences.CalendarView get(int iValue)

  Gets the calendar view by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching calendar view or the default calendar view if not found

### getCalendarViews

    public static java.util.List getCalendarViews()

  Gets the list of calendar view objects.

  Returns:
    the list of `CalendarView` objects (unmodifiable)

### getCalendarHomeViews

    public static java.util.List getCalendarHomeViews()

  Gets the calendar home view objects.

  Returns:
    the list of `CalendarView` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.